If you got following error during dnssd installation

checking for dns_sd.h... no
unable to find dnssd header
*** extconf.rb failed ***
then you have to install few libraries:
sudo aptitude install libavahi-compat-libdnssd-dev